-------------------------------------------------------------------------------
--=> Common.lua
-- Common function that will likley be called from multiple sources and functions
-------------------------------------------------------------------------------
--=> LUACHECK OPTIONS
-------------------------------------------------------------------------------
--> LuaCheck Settings-
-- luacheck: no max line length
-- luacheck: ignore  _.* for k self
--> weizPVP Globals
-- luacheck: globals weizPVP
--> Addon Libs Globals
-- luacheck: globals
--> WoW Globals
-- luacheck: globals math.floor GetUnitSpeed
-------------------------------------------------------------------------------

--=> Round Number
-------------------------------------------------------------------------------
function weizPVP:Round(number, decimal)
    local mult = 10 ^ (decimal or 0)
    return math.floor(number * mult + 0.5) / mult
end

function weizPVP:isFlying(unit)
    local isFlying

    -- local currentSpeed, runSpeed, flightSpeed, swimSpeed = GetUnitSpeed(unit)
    local flightSpeed = select(3, GetUnitSpeed(unit))

    if flightSpeed > 20 then
        isFlying = true
    else
        isFlying = false
    end

    return isFlying
end
